aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorcnd <cynede@gentoo.org>2018-08-01 15:40:48 +0400
committerGitHub <noreply@github.com>2018-08-01 15:40:48 +0400
commitcb614071680119c69c8ff62f72ea3563ef71724e (patch)
tree353b74e4c7054db1d067326418e082ab0c80774d
parentMerge pull request #397 from lucianposton/vscode-fix-perms (diff)
parentapp-editors/visual-studio-code: Bump 1.25.1 (diff)
downloaddotnet-cb614071680119c69c8ff62f72ea3563ef71724e.tar.gz
dotnet-cb614071680119c69c8ff62f72ea3563ef71724e.tar.bz2
dotnet-cb614071680119c69c8ff62f72ea3563ef71724e.zip
Merge pull request #401 from lucianposton/code
app-editors/visual-studio-code: Bump 1.25.1
-rw-r--r--app-editors/visual-studio-code/Manifest2
-rw-r--r--app-editors/visual-studio-code/visual-studio-code-1.25.1.ebuild55
2 files changed, 57 insertions, 0 deletions
diff --git a/app-editors/visual-studio-code/Manifest b/app-editors/visual-studio-code/Manifest
index 6c2c581..817fe52 100644
--- a/app-editors/visual-studio-code/Manifest
+++ b/app-editors/visual-studio-code/Manifest
@@ -4,3 +4,5 @@ DIST visual-studio-code-1.22.1-amd64.tar.gz 68391282 SHA256 9acda8fde77b48069ef5
DIST visual-studio-code-1.22.1-x86.tar.gz 69286998 SHA256 594e6764d9b38df63a8d206d85c7c36d756b0ef0e1a9670b7695b31d84e33ef0 SHA512 7f5b64682c9bed7cb49ff9a79776ae89e16ea8b33469ee5a021cf9764604f3b8b02f13fc009c6fcffdde5970e69b563a6707ba0acd52e61b7732b6d0aa892966 WHIRLPOOL 16dcd7b4692ae36ea3055a94f8629f35d7743bfd82ec70855f3eacd4b8e286cf1d3ead1ff8abd672306974b9c5a66e60a9484ed385bc23c65237d1220a2416f7
DIST visual-studio-code-1.25.0-amd64.tar.gz 71667614 SHA256 fd065d9bc3b1cc7a90dc10697196c6817c9e557f23bc0df95e91c6785cfc5470 SHA512 b5e47598414dde7b22e73902970aa1f2e1edb834aeea6cf55b87a297af8cfe0e2ef9acfed663a69efbb34b46d47a45aa2a6d4fe68676e377b0fe874d57a8b6ea WHIRLPOOL 5c6e3b4fa5a0a25590a20e65c318162534f9c8d1d58eb539c27e3e28e6dc0466e4ca2f703cf15894ce8c45c061284ba4bbbd0b92899a0394eb623e4b77fed673
DIST visual-studio-code-1.25.0-x86.tar.gz 72610561 SHA256 35e9c457129710cb8e59d3d655953444fa3f67fb27cde98bbda47485b94ef6b5 SHA512 b4c8212ced718616feac6b3283235328b84568cbf862d47746e340f38cf0581e5fba144738ad9ddd25f4e0f965c6b11bf8b9f0e855a21aef0e3ee0f1383b233c WHIRLPOOL 6613576062d8372f19e6cc1b10046c88d72691df915a0ea715f7220994528b145b12190d4d9e7fb56f8a0a4f0b319d73f8093ce2888e69177aa1b0a147a76deb
+DIST visual-studio-code-1.25.1-amd64.tar.gz 71669633 SHA256 5856bbebf38aa05d584da4722869bbe507cf123f69f7ffab5f1532d73dbf3438 SHA512 c50ce7c36bbaab1b9ed672afb29732105db7827780f444b96bd33d7907cd9cfafee7149f7a2adddb8efd9e24a0d050762ac8462f794671b2c945463910de1d36 WHIRLPOOL c758f86240f1418180b66e744228de8dfbe4e0b9b6bd70b8fd8677a6422c584916d91c550d890a885fee12eca6c11ebbb8ed935e53dcd16093d625684445a9a1
+DIST visual-studio-code-1.25.1-x86.tar.gz 72608871 SHA256 af6adc2e2500e50bfebe7ee7b97d661b6e774a590136bf5f89334132a5b292e2 SHA512 08fb07534e42bf90ba724f9cfa1e8c6761779d405ee662c63e65b0e1ced75938198eb195dd87b99cf6d1fb80626d1e526f50b64c1041afd7d330e628bea4156e WHIRLPOOL 22cdc5396254901a0df28c5c846da14a3793d5f21e84029d2693f94deb9cd078f73bdca839ed945e9f88feac8192f045fef2d5dc487d7779509044999983ed73
diff --git a/app-editors/visual-studio-code/visual-studio-code-1.25.1.ebuild b/app-editors/visual-studio-code/visual-studio-code-1.25.1.ebuild
new file mode 100644
index 0000000..cbe723f
--- /dev/null
+++ b/app-editors/visual-studio-code/visual-studio-code-1.25.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="Multiplatform Visual Studio Code from Microsoft"
+HOMEPAGE="https://code.visualstudio.com"
+BASE_URI="https://vscode-update.azurewebsites.net/${PV}"
+SRC_URI="amd64? ( ${BASE_URI}/linux-x64/stable -> ${P}-amd64.tar.gz )
+ x86? ( ${BASE_URI}/linux-ia32/stable -> ${P}-x86.tar.gz )"
+RESTRICT="mirror strip bindist"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+DEPEND=">=gnome-base/gconf-3.2.6-r4:2
+>=media-libs/libpng-1.2.46:0
+>=x11-libs/cairo-1.14.12:0
+>=x11-libs/gtk+-2.24.31-r1:2
+>=x11-libs/libXtst-1.2.3:0"
+
+RDEPEND="${DEPEND}
+>=app-crypt/libsecret-0.18.5:0[crypt]
+>=net-print/cups-2.1.4:0
+>=x11-libs/libnotify-0.7.7:0
+>=x11-libs/libXScrnSaver-1.2.2-r1:0"
+
+QA_PRESTRIPPED="opt/${PN}/code"
+QA_PREBUILT="opt/${PN}/code"
+
+pkg_setup() {
+ if use amd64; then
+ S="${WORKDIR}/VSCode-linux-x64"
+ elif use x86; then
+ S="${WORKDIR}/VSCode-linux-ia32"
+ else
+ # shouldn't be possible with -* special keyword
+ die
+ fi
+}
+
+src_install() {
+ dodir "/opt"
+ # Using doins -r would strip executable bits from all binaries
+ cp -pPR "${S}" "${D}/opt/${PN}" || die "Failed to copy files"
+ dosym "${EPREFIX}/opt/${PN}/bin/code" "/usr/bin/code"
+ make_desktop_entry "code" "Visual Studio Code" "${PN}" "Development;IDE"
+ doicon "${S}/resources/app/resources/linux/code.png"
+ insinto "/usr/share/licenses/${PN}"
+ newins "resources/app/LICENSE.txt" "LICENSE"
+}